Package org.apache.sling.maven.feature.launcher

# Class StopMojo

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.sling.maven.feature.launcher.StopMojo

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Mojo(name="stop", defaultPhase=POST_INTEGRATION_TEST) public class StopMojo extends org.apache.maven.plugin.AbstractMojo
Stop one or multiple Sling Feature(s).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected boolean`
`waitForInput`
If `true` stopping the server is deferred until you press the Enter key on the terminal on which Maven is executed.

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`StopMojo()`

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
`protected void`
`waitForUserInput()`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### waitForInput

@Parameter(property="feature-launcher.waitForInput", required=false, defaultValue="false") protected boolean waitForInput
If `true` stopping the server is deferred until you press the Enter key on the terminal on which Maven is executed.

## Constructor Details

### StopMojo

public StopMojo()

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException, org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`

### waitForUserInput

protected void waitForUserInput() throws org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoFailureException`